Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageEuclideanToPolar Class Reference

`#include <vtkImageEuclideanToPolar.h>`

Inheritance diagram for vtkImageEuclideanToPolar:

[legend]
Collaboration diagram for vtkImageEuclideanToPolar:

[legend]
List of all members.

## Detailed Description

Converts 2D Euclidean coordinates to polar.

Date:
  2002/01/22 15:32:27

Revision:
  1.21

For each pixel with vector components x,y, this filter outputs theta in component0, and radius in component1.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (43%)
  - Law, Charles (41%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageEuclideanToPolar.h)`
  - .`cxx` (`/Imaging/vtkImageEuclideanToPolar.cxx)`

Tests:
  vtkImageEuclideanToPolar (Tests)

Definition at line 47 of file vtkImageEuclideanToPolar.h.

## Public Types

typedef vtkImageToImageFilter | Superclass

## Public Methods

virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetThetaMaximum (float)
virtual float | GetThetaMaximum ()

## Static Public Methods

vtkImageEuclideanToPolar * | New ()
int | IsTypeOf (const char *type)
vtkImageEuclideanToPolar * | SafeDownCast (vtkObject *o)

## Protected Methods

| vtkImageEuclideanToPolar ()
| ~vtkImageEuclideanToPolar ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)

## Protected Attributes

float | ThetaMaximum

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageEuclideanToPolar::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 51 of file vtkImageEuclideanToPolar.h.

## Constructor & Destructor Documentation

vtkImageEuclideanToPolar::vtkImageEuclideanToPolar | ( |  | ) | `[protected]`

vtkImageEuclideanToPolar::~vtkImageEuclideanToPolar | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkImageEuclideanToPolar.h.

## Member Function Documentation

vtkImageEuclideanToPolar* vtkImageEuclideanToPolar::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageEuclideanToPolar::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageEuclideanToPolar::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageEuclideanToPolar::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageEuclideanToPolar* vtkImageEuclideanToPolar::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageEuclideanToPolar::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageEuclideanToPolar::SetThetaMaximum | ( | float |  | ) | `[virtual]`

| Theta is an angle. Maximum specifies when it maps back to 0. ThetaMaximum defaults to 255 instead of 2PI, because unsigned char is expected as input. The output type must be the same as input type.

virtual float vtkImageEuclideanToPolar::GetThetaMaximum | ( |  | ) | `[virtual]`

| Theta is an angle. Maximum specifies when it maps back to 0. ThetaMaximum defaults to 255 instead of 2PI, because unsigned char is expected as input. The output type must be the same as input type.

void vtkImageEuclideanToPolar::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

float vtkImageEuclideanToPolar::ThetaMaximum`[protected]`

| Definition at line 66 of file vtkImageEuclideanToPolar.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageEuclideanToPolar.h